Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.listener
Class TracingLogger

    java.lang.Object
      com.nokia.ant.listener.TracingLogger

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class TracingLogger

extends java.lang.Object
implements org.apache.tools.ant.BuildListener

Constructor Summary
`TracingLogger()`

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `buildStarted(org.apache.tools.ant.BuildEvent event)`
`void` | `messageLogged(org.apache.tools.ant.BuildEvent event)`
`void` | `targetFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `targetStarted(org.apache.tools.ant.BuildEvent event)`
`void` | `taskFinished(org.apache.tools.ant.BuildEvent event)`
`void` | `taskStarted(org.apache.tools.ant.BuildEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TracingLogger

    public TracingLogger()

Method Detail

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD